# Get

Launch stage: Beta

`GET /api/2.0/identity/{name=external-users/*}`

Retrieves an external user with the given external ID from the customer's
 IdP. If the user does not exist, it will be created. If the customer is not
 onboarded onto Automatic Identity Management (AIM), this will return an error.
 Workspace-scoped variant for workspace-authenticated callers.

API scopes: identity

## Path parameters

- `name` (string, required)
  Required. The resource name of the external user.
   Format: external-users/{external_user_id}

## Returns

Returns the ExternalUser object.

## Response

```json
{
  "name": "string",
  "external_user_id": "string",
  "internal_id": "string",
  "username": "string",
  "full_name": {
    "given_name": "string",
    "family_name": "string"
  },
  "account_user_status": "string",
  "account_id": "string",
  "display_name": "string"
}
```

